html {
    font-size:14px;
}
:root {
  --cassiopeia-color-primary: #78ABD1;
  --cassiopeia-color-link: #224faa;
  --cassiopeia-color-hover: #78ABD1;
}

.mod-login__options {
    display:none;
}

joomla-tab[view=tabs] > div[role=tablist] button {
    padding : 0.5em 0.75em 0.5em 0.75em;
}

joomla-tab[orientation=vertical] > div[role=tablist] {
    min-width: 25%;;
}

joomla-tab[orientation=vertical] > div[role=tablist] button {
    padding : 0.25em 0.25em 0.25em 0.25em;
}

.mod-list li {
    padding: 0;
}

li.divider {
    height: 9px;
}

.hide-aware-inline-help {
    display:none;
}

.input-group,.field-calendar,.controls,.control-group {
    width:auto;
}

input.form-control {
    padding:0 0 0 0;
    width: auto;
}
.input-group > .form-control {
    width: auto;
    flex: 0 1 auto;
}

#deadline1_btn,.btn {
    padding: 0 0.2em 0 0.2em;
}

.control-group {
    margin: 0.2em 0 0.2em 0;
}

input[type="radio"]:checked+label[for$="0"] {
    background-color: var(--success)!important;
}
input[type="radio"]:checked+label[for$="1"] {
    background-color: var(--warning)!important;
}
input[type="radio"]:checked+label[for$="2"] {
    background-color: var(--danger)!important;
}
input[type="radio"]:checked+label[for$="3"] {
    background-color: var(--info)!important;
}
fieldset {
    margin-bottom: 0em;
}

.btn-outline-primary {
    color: #007bff;
    border-color: #007bff;
}

.danger {
    color: red;
    text-decoration: underline;
    font-weight:bold;
}

.enav {
  padding-left: 0;
  margin-bottom: 0;
  list-style: none;
}

div.coversheet_exam_assessment-group {float:left;}
div.coversheet_coursework_assessment-group {float:left;clear:right; }
div.coversheet_timetabled_courses-group {float:left;}
div.coversheet_setters_questions-group {float:left;clear:right; }
div.coversheet_exam_contact-group {float:left;}
div.coversheet_mark_contact-group {float:left;}
div.coversheet_class_test_assessment-group {float:left;width:23%;}
div.coversheet_class_test_assessment-label {width:auto!important;padding-right:10px;}
div.coversheet_class_test_assessment-controls {margin-left:auto!important;}
div.coversheet_problem_sheet_assessment-group {float:left;width:23%;}
div.coversheet_problem_sheet_assessment-label {width:auto!important;padding-right:10px;}
div.coversheet_problem_sheet_assessment-controls {margin-left:auto!important;}
div.coversheet_projects_assessment-group {float:left;width:23%;}
div.coversheet_projects_assessment-label {width:auto!important;padding-right:10px;}
div.coversheet_projects_assessment-controls {margin-left:auto!important;}
div.coversheet_other_assessment-group {float:left;width:23%;}
div.coversheet_other_assessment-label {width:auto!important;padding-right:10px;}
div.coversheet_other_assessment-controls {margin-left:auto!important;}

input#exam_assessment,
input#coursework_assessment,
input#class_test_assessment,
input#problem_sheet_assessment,
input#projects_assessment,
input#other_assessment {
    width:auto;
}
h1.exams_password {
    font-family: Monaco, Menlo, Consolas, "Courier New", monospace;
}
table.exams_security_tab {
    border: 1px solid black;
    border-collapse: collapse;
}
table.exams_security_tab tr td,table.exams_security_tab tr th {
    border: 1px solid black;
    padding:5px;
}
table.exams_security_tab tr td {
    border: 1px solid black;
    padding:5px;
    text-align:left;
}
td.exams_security_tab_center {
    text-align:center!important;
}
tr.exams_security_current td {
    color: blue;
}

table.projects_students_list {
    border: 1px solid black;
    border-collapse: collapse;
}
table.projects_students_list tr td,table.projects_students_list tr th {
    border: 1px solid black;
    padding:5px;
}
td.projects_students_list_centre {
    text-align: center;
}
td.projects_students_list_final_reminder,td.projects_students_list_reminder {
    text-align: center;
    color:red;
}
td.projects_students_list_me {
    font-weight: bold;
    color:blue;
}
input.projects_students_list_input {
    max-width:3em;
    border-color: #888!important;
}
input.projects_students_list_input_ass {
    max-width:5em;
    border-color: #888!important;
}
select.projects_students_assessor_name {
    max-width:15em;
}
span.projects_students_assessor_id {
    max-width:10em;
    color:blue;
}

table.projects_students_admin_list {
    border: 1px solid black;
    border-collapse: collapse;
}
table.projects_students_admin_list tr td,table.projects_students_admin_list tr th {
    border: 1px solid black;
    padding:5px;
}
td.projects_students_admin_list_centre {
    text-align: center;
}
td#projects_students_admin_list_marks_submit {
    text-align: left!important;
}

table.projects_students_admin_list_marks tr td,table.projects_students_admin_list_marks tr th {
    border: 1px solid black;
    padding:5px;
    text-align: center;
    color: black;
}

td.student_id,th.student_id {
    width:10%;
    text-align: center;
}
input.student_id {
    max-width:5em;
    margin:auto;
    vertical-align:baseline;
}
td.student_name,th.student_name {
    width:40%;
    text-align: center;
}
input.student_name {
    max-width:25em;
    width:90%;
    margin:auto;
    vertical-align:baseline;
}
td.doubleblind,th.doubleblind {
    max-width:5em;
    width:10%;
    text-align: center;
}
input.doubleblind {
    max-width:3em;
    margin:auto;
    vertical-align:baseline;
}
td.doubleassessed,th.doubleassessed {
    max-width:5em;
    width:10%;
    text-align: center;
}
input.doubleassessed {
    max-width:3em;
    margin:auto;
    vertical-align:baseline;
}

td.project_title,th.title {
    width:20%!important;
    text-align: center;
}
input.project_title {
    max-width:8em!important;
    margin:auto;
    vertical-align:baseline;
}
td.supervisor,th.supervisor {
    width:10%;
    text-align: center;
}
input.supervisor {
    max-width:4em;
    margin:auto;
    vertical-align:baseline;
}
td.assessor,th.assessor {
    width:10%;
    text-align: center;
}
input.assessor {
    max-width:4em;
    margin:auto;
    vertical-align:baseline;
}
td.arbitrator,th.arbitrator {
    width:10%;
    text-align: center;
}
input.arbitrator {
    max-width:4em;
    margin:auto;
    vertical-align:baseline;
}
td.delete,th.delete {
    width:10%;
    text-align: center;
}
input.delete {
    max-width:4em;
    margin:auto;
    vertical-align:baseline;
}

td.reset,th.reset {
    width:10%;
    text-align: center;
    vertical-align:middle;
}
input.reset {
    max-width:5em;
    margin:auto;
    vertical-align:baseline;
}
input#marks {
    max-width:5em;
}

table.projects_uploaded tr th {
    vertical-align: bottom;
}
table.projects_uploaded tr td {
    vertical-align: middle;
    text-align:center;
    padding-right: 8px;
}
.action_done{
    list-style-image: url('/media/com_exams/images/tick.png');
    text-align:left;
}
.action_notdone{
    list-style-image: url('/media/com_exams/images/cross.png');
    text-align:left;
}
.tip-wrap {
    max-width:400px!important;
}
.warning {
    color:red;
}
input.coversheet {
    width:auto;
}
h2 {
    color: #336699!important;
}
.exam_scaling, .cwk_scaling {
    width:40%;
}

#graphdiv1 {
    width:600px!important;
    height:600px!important;
}
#graphdiv21 {
    width:600px!important;
    height:300px!important;
}
@media (min-width: 1200px) {
#graphdiv {
    width:800px!important;
    height:533px!important;
}
#graphdiv2 {
    width:800px!important;
    height:533px!important;
}
}
@media (min-width: 980px) and (max-width: 1199px) {
#graphdiv {
    width:653px!important;
    height:435px!important;
}
#graphdiv2 {
    width:653px!important;
    height:435px!important;
}
}
@media (min-width: 768px) and (max-width: 979px) {
#graphdiv {
    width:512px!important;
    height:341px!important;
}
#graphdiv2 {
    width:512px!important;
    height:341px!important;
}
}
@media (min-width: 480px) and (max-width: 767px) {
#graphdiv {
    width:320px!important;
    height:213px!important;
}
#graphdiv2 {
    width:320px!important;
    height:213px!important;
}
}
@media (max-width: 479px) {
#graphdiv {
    width:197px!important;
    height:133px!important;
}
#graphdiv2 {
    width:197px!important;
    height:133px!important;
}
}

.table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}


@media (min-width: 768px) {
        .projects_uploadedfile-controls,#uploadedfile{width:80%!important;}
        .projects_type-controls,#type{width:80%!important;}
        .projects_student-controls,#student{width:80%!important;}
        .projects_student_feedback-controls,#student_feedback{width:80%!important;}
        .projects_internal_feedback-controls,#internal_feedback{width:80%!important;}
        .projects_final_mark_basis-controls,#final_mark_basis{width:80%!important;}
        .projects_note-controls,#note{width:80%!important;}
        
        .projects_student_name-controls,#student_name{width:80%!important;}
        .projects_semester-controls,#semester{width:80%!important;}
        .projects_title-controls,#title{width:80%!important;}
        .projects_exposition-controls,#exposition{width:80%!important;}
        .projects_literature-controls,#literature{width:80%!important;}
        .projects_originality-controls,#originality{width:80%!important;}
        .projects_scope-controls,#scope{width:80%!important;}
        .projects_oral-controls,#oral{width:80%!important;}
        .projects_initial_mark-controls,#initial_mark{width:80%!important;}
        .projects_final_mark-controls,#final_mark{width:80%!important;}
        input.marks {width:80%!important;}
        input.marking_criteria {width:80%!important;}
        
        .upload_uploadedfile-controls,#uploadedfile{width:80%!important;}
        .upload_type-controls,#type{width:80%!important;}
        .upload_note-controls,#note{width:80%!important;}
    
        .upload_update_original_filename,.upload_update_original_filename-controls,#original_filename{width:80%;}
        .upload_update_uploadedfile-controls,#uploadedfile{width:80%!important;}
        .upload_update_type-controls,#type{width:80%!important;}
        .upload_update_note-controls,#note{width:80%!important;}
        
        .projects_update_original_filename,.projects_update_original_filename-controls,#original_filename{width:80%;}
        .projects_update_uploadedfile-controls,#uploadedfile{width:80%!important;}
        .projects_update_type-controls,#type{width:80%!important;}
        .projects_update_student-controls,#student{width:80%!important;}
        .projects_update_note-controls,#note{width:80%!important;}
    
        .dialogue_uploadedfile-controls,#uploadedfile{width:80%!important;}
        .dialogue_note-controls,#note{width:80%!important;}
        .dialogue_instructions-controls,#instructions{width:80%!important;}
        .spreadsheet_disapprove_message-controls,#message{width:80%!important;}
        .spreadsheet_approve_uploadedfile-controls,#uploadedfile{width:80%!important;}
        
/*        .feedback_feedback-controls,#feedback{width:80%!important;} */

    }
    
    
table.dialogue_table {width:100%;}
table.dialogue_table >thead >tr >th {text-align:left;}

.exams-modal {
    font-size:11pt;
    color:#224FAA;
    padding:0;
    vertical-align:top;
}

#jform_password1-lbl,#jform_password2-lbl,.password-group {
/*    display: none;*/
}

.bad_check {
    color:red!important;
}

table.aer_table, table.aer_table tr td, table.aer_table tr th {
    border: 1px solid black;
    border-collapse: collapse;
}

/* coversheet */
div.controls {margin-right:10px;}

#statusbar {text-align:center; background-color:green; color:blue; width:0%;}

div#contentPaneWrapper dl.tabs dt.tabs h3 {font-size:14px;}

table.adminform tr.row0 {
    background-color: #eeeeee;
}

table.adminform tr.row0 td.cell2 {
    color: #3333ff!important;
}

table.adminform tr.row1 {
    background-color: #f9f9f9;
}

table.adminform tr.row1 td.cell2 {
    color: #996633!important;
}

button {margin-right:5px;}

#module_group {
    position:relative;
    top:-20px;
    left:150px;
    width:82.5%;
}

#bar {
    overflow-x:hidden;
}

#module_status {
    position:relative;
    top:-18px;
    left:17.5%;
    width:82.5%;
}

statusbar-fieldset {  
}

.text-center {
    text-align:center;
}

.text-right {
    text-align:right;
}

#achistory-table {
    width:100%;
    border:1;
}

#feedback-pre{
    overflow-x: auto;
    white-space: pre-wrap;
    word-wrap: break-word;
}

#feedback-form-div {
    clear:none;
    width:40%;
    float:left;
}
#feedback-form-div2 {
    clear:none;
    width:40%;
    float:right;
}

#feedback-div {
    width:100%;
    text-align:center;
    color:blue;
}

.mb-5 {
    margin-bottom: 5px;
}

#handin-div {
    display:grid;
    grid-template-columns: auto auto auto;
    padding;10px;
}

.projects-10 {
    width:10%;
}
.projects-25 {
    width:25%;
}
.projects-30 {
    width:30%;
}
.projects-100 {
    width:100%;
}

.table-layout {
    table-layout: fixed;
}

.bw {
    word-wrap: break-word;
}
.m-a-fl {
    margin:0 auto;
    float:left;
}
.blue {
    color:blue;
}

.va-top {
    vertical-align:top!important;
}

.red {
    color:red!important;
}
.green {
    color:green!important;
}
.orange {
    color:orange!important;
}

.separator.examining {font-weight: bold;}
.separator.vetting {font-weight: bold;}
.separator.projects {font-weight: bold;}
.separator.archive {font-weight: bold;}
#archive_select {font-weight: bold;}
.currentyear {color:green ! important; font-weight: bold ! important; text-decoration: underline ! important; font-size: 110%;}

.alpha {
    list-style-type: lower-alpha;
}

.subform-w-45 {
    width:45%;
}
.subform-w-8 {
    width:8%;
}

.subform-table-sublayout-section .controls { margin-left: 0px }

.form-readonly {
    pointer-events:none;
}

#signoff {
    border: var(--border-width) solid #d64312!important;
}
